NextGen Gallery 2.0.0

Štítky: 

Zvolené téma obsahuje celkem 59 odpovědí. Do diskuze (11 účastníků) se naposledy zapojil uživatel  hamil1 a poslední změna je stará 6 let, 5 měsíců.

Aktuálně je na stránce zobrazeno 20 příspěvků - 1. až 20. (z celkem 60)
  • Autor
    Příspěvky
  • #3543

    Michal Janata
    Participant
    Web

    Ahoj, nevíte kde stáhnout originální anglický fráze pro novou galerii, našel jsem si i program na to přeložit to, ale nikde tohle nemůžu najít. Chtěl bych si ten plugin počeštit, děkuju za info

    #16056

    mirekk
    Participant
    Web

    Nemusíš nic překládat. V NextGen v pravém sloupci klikni na “Stáhnout jazykový balíček”. Pak jen znovu spusť NextGen a je to česky

    #16057

    terra
    Participant

    Me nefunguje verze s 2.0.0 s WP 3.5.2 a sablonou twenty twelf. Je v tom nejaky figl? natahuji do WP pomoci pluginu, bez pouziti ftp. dekuji

    #16058

    mirekk
    Participant
    Web

    Co na tom nefunguje?

    #16059

    terra
    Participant

    Praveze, nefunguje nic, vůbec se to nespusti. kdyz klikam na nabidku, vysledek je prazdna obrazovka bez moznosti delat cokoli. verze 1,9 mi funguje bez problemu na jinem webu

    nainstalovala jsem to znovu a tady je hlaska

    RuntimeException thrown

    /www/doc/www.amorevita24.com/wp-content/plugins/nextgen-gallery/products/photocrati_nextgen/modules/nextgen_addgallery_page/templates/upload_images.php is not a valid MVC template

    #16060

    Michal Janata
    Participant
    Web

    to mirekk: to nefunguje, sám tu galerii dlouho používám a tohle fungovalo. Mají asi chybu na stránkách, a nebo to nefunguje s WP 3.5.2

    #16061

    mirekk
    Participant
    Web

    Kalich: Aha, pravda. Teď jsem aktualizoval na 2.0. Takže jedině se zapojit do komunity překladatelů, jak plugin vybízí. Já to řeším tak, že mám v Chrome zapnutý automatický překladač :-)

    terra: nevím, neumím poradit. Mě po aktualizaci nová verze běží v pohodě. Jedině snad odinstalovat a nová instalace z admin rozhraní. Šablona by neměla na funkci admin rozhraní pluginu mít vliv.

    Ještě bych asi nejdřív zkusil povypínat všechny ostatní pluginy, jestli není konflikt s některým

    #16062

    terra
    Participant

    zrejme je tam nejaky problem, nejsme v tom sami podivejte se http://wordpress.org/support/topic/known-plugin-conflicts-with-nextgen-20

    tak kdybyste meli radu, kde najdu instalaci verze 1.9.13 tak by to bylo fajn. Ja mam pocit, ze uz jsem prohledala vsechno a nenasla nic jineho nez navody.

    #16063

    J-Prause
    Participant

    Sám jsem bezelstně aktualizoval plugin NextGen Gallery na versi 2.0. Ihned poté se dramaticky zhoršilo chování mých stránek: výrazné zpomalení jak administrace tak zobrazování stránek, různé jiné funkce přestaly správně fungovat atd. Nebudu zdržovat popisováním závad. Ujistil jsem se, že takto postižených je mnoho, viz http://wordpress.org/support/plugin/nextgen-gallery.

    Starší verse lze stáhnout zde: http://wordpress.org/plugins/nextgen-gallery/download/.

    Návod k návratu ke starší versi je zde: http://www.nextgen-gallery.com/how-to-rollback-a-version/.

    Vrátil jsem plugin na versi 1.9.13 a vše opět funguje jak má.

    #16064

    Michal Janata
    Participant
    Web

    Mě kupodivu stránky fungují úplně normálně. Žádné problémy ani zpomalení jsem nezaznamenal.

    #16065

    terra
    Participant

    Dekuji J-Prause, nainstalovana verze 1.9.13, zatim funguje na obou mych webech.

    #16066

    Michal Janata
    Participant
    Web

    to mirekk: to zapojení jsem zkoušel, ale taky jim to nějak nefunguje jak by mělo :-(

    #16067

    hamil1
    Participant
    Web

    Verze 2.0 mi hlásila stejný problém jako uživateli terra. Také děkuji za návod jak se vrátit k předchozí verzi.

    #16068

    Michal Janata
    Participant
    Web

    Já jsem měl právě u minulé verze problém s nahráváním originálů a tvoření souborů _backup a teď mi to jede, asi se to zrovna mě nainstalovat povedlo.

    #16069

    admin
    Keymaster
    Web

    J-Prause: Díky za rychlou reakci!

    Plugin NextGEN Gallery prošel opravdu radikálními změnami, takže se nějaké problémy dají určitě čekat. Velká část kódu byla přepsána pomocí “>Pope frameworku, který by měl do budoucna umožnit rychlejší vývoj a snazší opravy. Bohužel to při přechodu trochu “skřípe”, což bude snad během pár dní odstraněno, protože autoři se o vývoj plugin poctivě starají a reagují ve fóru. Problémy každopádně souvisí s různými verzemi a nastaveními PHP, takže někomu to fungovat může a jinému zase ne…

    Kromě návratu k předchozí verzi, ale můžete také zkusit nainstalovat nejnovější beta verzi, kde by měla být už velká část chyb opravena.

    terra: Problémy s MVC by už snad měly být vyřešeny v nejnovější beta verzi.

    Ad lokalizace: Je možné, že automatické stažení lokalizačních souborů také zatím nefunguje, každopádně zkuste postupovat podle dostupného návodu, případně prosím nahlašte chybu přímo autorům pluginu. Jinak můžete pracovat na lokalizaci pomocí pluginu Codestyling Localization, který umí skenovat zdrojové soubory a dohledat řetězce potřebné k překladu.

    kalich5: Ano, nová verze pluginu by měla také opravit mnoho dlouhodobě existujících chyb :-)

    #16070

    mirekk
    Participant
    Web

    Takže nejnovější beta taky nefunguje.

    Například (alespoň u mě) se při kliknutí na jakýkoliv odkaz na hlavní straně dostanete vždy zpět na homepage.

    Dál: zmizela nástrojová lišta editoru a nelze se dostat do editačního okna. HTML okno jde.

    Web je v řádu stovek procent zpomalen.

    Vrátil jsem se podle návodu zpět k v.1.9.13 ale problémy přetrvávaly. Při deaktivaci pluginu bylo vše v pořádku.

    Nakonec se zadařilo. Důrazně vás upozorňuji: při přechodu zpět na nižší verzi z 2.0.0 nebo 2.0.2 beta nejdříve proveďte volbu “Reset nastavení”. Po tomto resetu a nahrání v.1.9.13 přes FTP, jak je uvedeno v návodu, teprve vše funguje jak má.

    Jen pozor abyste omylem nešáhli na “Odinstalovat” :-)

    #16071

    admin
    Keymaster
    Web

    Tak už se někdo odvážil aktualizovat na nejnovější verzi NextGEN Gallery 2.0.7? :-)

    #16072

    Michal Janata
    Participant
    Web

    Mě to funguje, jen mi to v záložce ostatní nastavení píše tohle Warning: Invalid argument supplied for foreach() in /data/web/virtuals/2673/virtual/www/subdom/zkouska36/wp-content/plugins/nextgen-gallery/non_pope/class.nextgen_style_manager.php on line 205, ale asi to bude ještě chtít počkat na další verzi…. udělalo se tam moc změň, a ty chyby se prostě objeví no

    #16073

    admin
    Keymaster
    Web

    kalich5: To už byla několikrát nahlášená chyba, myslím, že oprava brzy dorazí s novou verzí pluginu. Jinak ale obecně souhlasím, provedlo se mnoho důležitých změn a i když asi nová verze prošla testováním, tak nebylo možné postihnout všechny varianty (např. kombinace s dalšími pluginy). Každopádně v současné chvíli je nová verze stále dost riziková :-)

    #16074

    valada06
    Participant

    admin: Takže to znamená, že bych teď radši měl s aktualizací počkat a nebo už tento plugin nebude nijak ohrožovat web a jsou v něm je drobné nedodělky?

Aktuálně je na stránce zobrazeno 20 příspěvků - 1. až 20. (z celkem 60)

Pokud chcete odpovědět na toto téma, musíte se nejdříve přihlásit.